Bug 1568628 - [RFE] Add 'rpm --noghost' option to ignore %ghost files during 'rpm -Va'
Summary: [RFE] Add 'rpm --noghost' option to ignore %ghost files during 'rpm -Va'
Keywords:
Status: CLOSED DUPLICATE of bug 1395818
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 23:54 UTC by Robert Scheck
Modified: 2018-06-20 08:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 08:52:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Scheck 2018-04-17 23:54:31 UTC
Description of problem:
Please add 'rpm --noghost' option to ignore %ghost files during 'rpm -Va';
which is IMHO very helpful for automated verification runs. Aside of that,
%ghost files usually are modified one way or another...

Version-Release number of selected component (if applicable):
rpm-4.11.3-32.el7.x86_64

Additional info:
Similar like bug #1406611, not sure if/how bug #1406611 comment #20 might
be related to this. However, if %ghost is verified somehow, I would like to
be able to disable it as well to reduce "unnecessary" output in 'rpm -Va'.

Comment 3 Robert Scheck 2018-04-17 23:57:04 UTC
Cross-filed ticket 02080502 at the Red Hat customer portal.

Comment 4 Panu Matilainen 2018-04-18 07:57:07 UTC
--noghost exists in the current version, only it doesn't work :-/ Unfortunately this was discovered too late in the release process to be fixed for 7.5, but a fix is planned.

Comment 5 Robert Scheck 2018-04-18 08:00:18 UTC
Ah. Maybe the man page ("man rpm") could document both, --noconfig and also
--noghost then :)

Comment 6 Pavlina Moravcova Varekova 2018-06-20 08:52:46 UTC

*** This bug has been marked as a duplicate of bug 1395818 ***


Note You need to log in before you can comment on or make changes to this bug.